Geneva Patch 4 Hot Fix 1

Geneva Patch 4 Hot Fix 1 provides fixes for the Geneva release.

For Geneva Patch 4 Hot Fix 1:
Build date: 03-04-2016_2133
Build tag: glide-geneva-08-25-2015__patch4-hotfix1-03-04-2016

For more information about how to upgrade an instance, see Upgrade to Geneva.

For more information about the release cycle, see the ServiceNow Release Cycle. For a downloadable, sortable version of Geneva fixed problems, see KB0598265.

Note: This version is approved for FedRAMP.

Fixed problems in Geneva Patch 4 Hot Fix 1

Problem Short description Description Steps to reproduce
On Premise

PRB665363

Upgrading to Geneva Patch 3 or later with insufficient Oracle privileges leads to the instance being zbooted ServiceNow has identified an issue affecting customers with an Oracle database who upgrade to Geneva Patch 3 or later. When upgrading, if the Oracle user account that was used to execute the installation or upgrade is missing the "grant select on dba_users to snc" privilege, then the preflight check fails. The instance is unable to confirm the schema exists and a zboot is triggered. When executing an upgrade, this results in catastrophic data loss. Refer to the Known Error article (KB0564467) for details.

Fixes included with Geneva Patch 4 Hot Fix 1

* Unless any exceptions are noted, you can safely upgrade to this release version from any of the versions listed below. These prior versions contain PRB fixes that are also included with this release. Be sure to upgrade to the latest listed patch that includes all of the PRB fixes you are interested in.